GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
gdcm::SurfaceWriter Class Reference

This class defines a SURFACE IE writer. It writes surface mesh module attributes. More...

`#include <gdcmSurfaceWriter.h>`

Inheritance diagram for gdcm::SurfaceWriter:
[legend]
Collaboration diagram for gdcm::SurfaceWriter:
[legend]

List of all members.

## Public Member Functions

| SurfaceWriter ()
virtual | ~SurfaceWriter ()
unsigned long | GetNumberOfSurfaces ()
void | SetNumberOfSurfaces (const unsigned long nb)
bool | Write ()
| Write.

## Protected Member Functions

void | ComputeNumberOfSurfaces ()
bool | PrepareWrite ()
bool | PrepareWritePointMacro (SmartPointer< Surface > surface, DataSet &surfaceDS, const TransferSyntax &ts)

## Protected Attributes

unsigned long | NumberOfSurfaces

## Detailed Description

This class defines a SURFACE IE writer. It writes surface mesh module attributes.

See also:
  PS 3.3 A.1.2.18 , A.57 and C.27

## Constructor & Destructor Documentation

gdcm::SurfaceWriter::SurfaceWriter | ( |  | ) |

virtual gdcm::SurfaceWriter::~SurfaceWriter | ( |  | ) | `[virtual]`

## Member Function Documentation

void gdcm::SurfaceWriter::ComputeNumberOfSurfaces | ( |  | ) | `[protected]`

unsigned long gdcm::SurfaceWriter::GetNumberOfSurfaces | ( |  | ) |

bool gdcm::SurfaceWriter::PrepareWrite | ( |  | ) | `[protected]`

Reimplemented from gdcm::SegmentWriter.

bool gdcm::SurfaceWriter::PrepareWritePointMacro | ( | SmartPointer< Surface > | surface,
|  | DataSet & | surfaceDS,
|  | const TransferSyntax & | ts
| ) |  | `[protected]`

void gdcm::SurfaceWriter::SetNumberOfSurfaces | ( | const unsigned long | nb | ) |

bool gdcm::SurfaceWriter::Write | ( |  | ) | `[virtual]`

Write.

Reimplemented from gdcm::SegmentWriter.

## Member Data Documentation

unsigned long gdcm::SurfaceWriter::NumberOfSurfaces`[protected]`

The documentation for this class was generated from the following file:

- gdcmSurfaceWriter.h